org.gradle.nativeplatform

## Interface SharedLibraryBinarySpec

- All Superinterfaces:
    BinarySpec, Buildable, BuildableModelElement, LibraryBinarySpec, Named, NativeBinarySpec, NativeLibraryBinarySpec

      @Incubating
      public interface SharedLibraryBinarySpec
      extends NativeLibraryBinarySpec

  A shared library binary built by Gradle for a native library.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `SharedLibraryBinarySpec.TasksCollection` Provides access to key tasks used for building the binary.

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getSharedLibraryFile()` The shared library file.
    `File` | `getSharedLibraryLinkFile()` The shared library link file.
    `SharedLibraryBinarySpec.TasksCollection` | `getTasks()` The set of tasks associated with this binary.
    `void` | `setSharedLibraryFile(File sharedLibraryFile)` The shared library file.
    `void` | `setSharedLibraryLinkFile(File sharedLibraryLinkFile)` The shared library link file.

    - ### Methods inherited from interface org.gradle.nativeplatform.NativeLibraryBinarySpec

      `getComponent, getLibrary`

    - ### Methods inherited from interface org.gradle.nativeplatform.NativeBinarySpec

      `getBuildType, getFlavor, getLibs, getLinker, getStaticLibArchiver, getTargetPlatform, getToolChain, lib`

    - ### Methods inherited from interface org.gradle.platform.base.BinarySpec

      `getDisplayName, getInputs, getSource, getSources, isBuildable, sources, tasks`

    - ### Methods inherited from interface org.gradle.api.BuildableModelElement

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getSharedLibraryFile

          File getSharedLibraryFile()

      The shared library file.

    - #### getSharedLibraryLinkFile

          File getSharedLibraryLinkFile()

      The shared library link file.

    - #### setSharedLibraryFile

          void setSharedLibraryFile(File sharedLibraryFile)

      The shared library file.

    - #### setSharedLibraryLinkFile

          void setSharedLibraryLinkFile(File sharedLibraryLinkFile)

      The shared library link file.

    - #### getTasks

          SharedLibraryBinarySpec.TasksCollection getTasks()

      The set of tasks associated with this binary.
      Specified by:
        `getTasks` in interface `BinarySpec`